Subject: lexical-binding local variable must be on the first line

From: Glenn Morris <[email-masked]>
Date: Thu, 26 Jan 2012 01:34:26 -0500

Package: emacs
Severity: minor

The lexical-binding local variable must be on the first line of a file
to be fully effective (in uncompiled code). See lisp_file_lexically_bound_p.

>From http://lists.gnu.org/archive/html/emacs-devel/2012-01/msg00543.html:

  "I guess lisp_file_lexically_bound_p should largely be rewritten by
  moving it to load-with-code-conversion/load-source-file-function."

I think it would be good to scan for coding, lexical-binding and mode
all in one go (eg for bug#7169 we need mode and coding at the same
time).